MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002482VCMIRandom Map Generatorpublic2016-09-18 10:172018-03-05 14:07
ReporterSXX 
Assigned ToAVS 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98g 
Target VersionFixed in Version0.next 
Summary0002482: Crash on second+ usage of RMG due to client memory corruption
DescriptionFew days ago me ans @AVS found very interesting crash with RMG that can be reproduced each simple time with clang and GCC builds. Just run RNG once, exit to menu and then on 2nd, 3rd (rarely more) run it's will crash in ObjectTemplate::isBlockedAt.

I think we find out that valgrind show memory corruption there, but in the end didn't find what actually cause it.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007467)
SXX (administrator)
2018-03-04 03:53

Yesterday Alex found that corruption occur in CMapGenerator:
zones = tmpl->getZones(); 


Problem is that map template passed as mutable to generator and then after game on such map is finished and gamestate destroyed some of data inside template get corrupted.

So on second generation with same template there no data for map objects.
(0007479)
AVS (administrator)
2018-03-05 14:07

Should be fixed in 26aad172

- Issue History
Date Modified Username Field Change
2016-09-18 10:17 SXX New Issue
2016-09-18 10:17 SXX Status new => assigned
2016-09-18 10:17 SXX Assigned To => SXX
2016-09-18 10:18 SXX Severity minor => crash
2018-03-04 03:53 SXX Note Added: 0007467
2018-03-05 14:04 AVS Assigned To SXX => AVS
2018-03-05 14:07 AVS Note Added: 0007479
2018-03-05 14:07 AVS Status assigned => resolved
2018-03-05 14:07 AVS Fixed in Version => 0.next
2018-03-05 14:07 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean